{ config, pkgs, lib, ... }: {
  programs.zsh = {
    enable = true;

    oh-my-zsh = {
      enable = true;
      plugins = [ "git" "sudo" "docker" "docker-compose" "adb" "systemd" ];
      theme = "bira";
    };
  };

  home.file.".bash_profile".text =
    # not having the attribute users means
    # we cannot change the default shell (e.g. this is not a NixOS host)
    if ! builtins.hasAttr "users" config then ''
      if [ -f "$HOME/.bashrc" ]; then
        . "$HOME/.bashrc"
      fi

      exec ${pkgs.zsh}/bin/zsh
    '' else null;
}
